<?php
$runphp = array_shift($argv);
$action = array_shift($argv);
array_unshift($argv, $runphp);

switch ($action) {
	case "config-info":
		require_once(dirname(__FILE__) . '/controllers/GapsXmlInfoController.php');
		GapsXmlInfoController::Run($argv);
		break;
	case "copyandreplace":
		require_once(dirname(__FILE__) . "/controllers/CopyController.php");
		CopyController::Run($argv);
		break;
	case "datum":
		require_once(dirname(__FILE__) . "/controllers/DateController.php");
		DateController::Run($argv);
		break;
	case "fehlerbericht":
		require_once(dirname(__FILE__) . '/fehlerbericht.php');
		break;
	case "gcstruct":
		require_once(dirname(__FILE__) . '/gcstruct.php');
		break;
	case "generate":
		require_once(dirname(__FILE__) . '/controllers/GapsXmlController.php');
		GapsXmlController::Run($argv);
		break;
	case "impromptu":
		require_once(dirname(__FILE__) . "/controllers/ImpromptuController.php");
		ImpromptuController::Run($argv);
		break;
	case "powerplay":
		require_once(dirname(__FILE__) . "/controllers/PowerplayController.php");
		PowerplayController::Run($argv);
		break;
	case "systeminfo":
		require_once(dirname(__FILE__) . "/controllers/SysteminfoController.php");
		SysteminfoController::Run($argv);
		break;
	case "starterlog":
		require_once(dirname(__FILE__) . '/starterlog.php');
		break;
	case "transformer":
		require_once(dirname(__FILE__) . "/controllers/TransformerController.php");
		TransformerController::Run($argv);
		break;
	case "update":
		require_once(dirname(__FILE__) . '/controllers/UpdateController.php');
		UpdateController::Run($argv);
		break;
	case "versand":
		require_once(dirname(__FILE__) . '/versand.php');
		break;
}